package WEB-INF.classes.wenrgise.hrms.webtier.form;

import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmAttEmpAttInForm extends HrmBaseForm {
  String employeeNo;
  
  String firstName;
  
  String middleName;
  
  String lastName;
  
  String date;
  
  String shiftCode;
  
  String timeIn;
  
  String attndStatus;
  
  String reasons;
  
  String empId;
  
  String shiftId;
  
  String shiftTime;
  
  String disabemployeeNo;
  
  String disabfirstName;
  
  String disabmiddleName;
  
  String disablastName;
  
  String disabdate;
  
  String disabshiftCode;
  
  String disabtimeIn;
  
  String disabtimeOut;
  
  String disabattndStatus;
  
  String disabreasons;
  
  String butShiftCode;
  
  String butPeriodStartDt;
  
  String butEmpName;
  
  String disabbutShiftCode;
  
  String disabbutPeriodStartDt;
  
  String disabbutEmpName;
  
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  public String getEmployeeNo() {
    return this.employeeNo;
  }
  
  public void setEmployeeNo(String newEmployeeNo) {
    this.employeeNo = newEmployeeNo;
  }
  
  public String getFirstName() {
    return this.firstName;
  }
  
  public void setFirstName(String newFirstName) {
    this.firstName = newFirstName;
  }
  
  public String getMiddleName() {
    return this.middleName;
  }
  
  public void setMiddleName(String newMiddleName) {
    this.middleName = newMiddleName;
  }
  
  public String getLastName() {
    return this.lastName;
  }
  
  public void setLastName(String newLastName) {
    this.lastName = newLastName;
  }
  
  public String getDate() {
    return this.date;
  }
  
  public void setDate(String newDate) {
    this.date = newDate;
  }
  
  public String getShiftCode() {
    return this.shiftCode;
  }
  
  public void setShiftCode(String newShiftCode) {
    this.shiftCode = newShiftCode;
  }
  
  public String getTimeIn() {
    return this.timeIn;
  }
  
  public void setTimeIn(String newTimeIn) {
    this.timeIn = newTimeIn;
  }
  
  public String getAttndStatus() {
    return this.attndStatus;
  }
  
  public void setAttndStatus(String newAttndStatus) {
    this.attndStatus = newAttndStatus;
  }
  
  public String getReasons() {
    return this.reasons;
  }
  
  public void setReasons(String newReasons) {
    this.reasons = newReasons;
  }
  
  public String getEmpId() {
    return this.empId;
  }
  
  public void setEmpId(String newEmpId) {
    this.empId = newEmpId;
  }
  
  public String getShiftId() {
    return this.shiftId;
  }
  
  public void setShiftId(String newShiftId) {
    this.shiftId = newShiftId;
  }
  
  public String getDisabemployeeNo() {
    return this.disabemployeeNo;
  }
  
  public void setDisabemployeeNo(String newDisabemployeeNo) {
    this.disabemployeeNo = newDisabemployeeNo;
  }
  
  public String getDisabfirstName() {
    return this.disabfirstName;
  }
  
  public void setDisabfirstName(String newDisabfirstName) {
    this.disabfirstName = newDisabfirstName;
  }
  
  public String getDisabmiddleName() {
    return this.disabmiddleName;
  }
  
  public void setDisabmiddleName(String newDisabmiddleName) {
    this.disabmiddleName = newDisabmiddleName;
  }
  
  public String getDisablastName() {
    return this.disablastName;
  }
  
  public void setDisablastName(String newDisablastName) {
    this.disablastName = newDisablastName;
  }
  
  public String getDisabdate() {
    return this.disabdate;
  }
  
  public void setDisabdate(String newDisabdate) {
    this.disabdate = newDisabdate;
  }
  
  public String getDisabshiftCode() {
    return this.disabshiftCode;
  }
  
  public void setDisabshiftCode(String newDisabshiftCode) {
    this.disabshiftCode = newDisabshiftCode;
  }
  
  public String getDisabtimeIn() {
    return this.disabtimeIn;
  }
  
  public void setDisabtimeIn(String newDisabtimeIn) {
    this.disabtimeIn = newDisabtimeIn;
  }
  
  public String getDisabtimeOut() {
    return this.disabtimeOut;
  }
  
  public void setDisabtimeOut(String newDisabtimeOut) {
    this.disabtimeOut = newDisabtimeOut;
  }
  
  public String getDisabattndStatus() {
    return this.disabattndStatus;
  }
  
  public void setDisabattndStatus(String newDisabattndStatus) {
    this.disabattndStatus = newDisabattndStatus;
  }
  
  public String getDisabreasons() {
    return this.disabreasons;
  }
  
  public void setDisabreasons(String newDisabreasons) {
    this.disabreasons = newDisabreasons;
  }
  
  public String getShiftTime() {
    return this.shiftTime;
  }
  
  public void setShiftTime(String newShiftTime) {
    this.shiftTime = newShiftTime;
  }
  
  public String getButShiftCode() {
    return this.butShiftCode;
  }
  
  public void setButShiftCode(String newButShiftCode) {
    this.butShiftCode = newButShiftCode;
  }
  
  public String getDisabbutShiftCode() {
    return this.disabbutShiftCode;
  }
  
  public void setDisabbutShiftCode(String newDisabbutShiftCode) {
    this.disabbutShiftCode = newDisabbutShiftCode;
  }
  
  public String getButPeriodStartDt() {
    return this.butPeriodStartDt;
  }
  
  public void setButPeriodStartDt(String newButPeriodStartDt) {
    this.butPeriodStartDt = newButPeriodStartDt;
  }
  
  public String getDisabbutPeriodStartDt() {
    return this.disabbutPeriodStartDt;
  }
  
  public void setDisabbutPeriodStartDt(String newDisabbutPeriodStartDt) {
    this.disabbutPeriodStartDt = newDisabbutPeriodStartDt;
  }
  
  public String getButEmpName() {
    return this.butEmpName;
  }
  
  public void setButEmpName(String newButEmpName) {
    this.butEmpName = newButEmpName;
  }
  
  public String getDisabbutEmpName() {
    return this.disabbutEmpName;
  }
  
  public void setDisabbutEmpName(String newDisabbutEmpName) {
    this.disabbutEmpName = newDisabbutEmpName;
  }
}
